Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PageBlock

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PageBlock

Direct Known Subclasses:
  `TdApi.PageBlockAnchor`, `TdApi.PageBlockAnimation`, `TdApi.PageBlockAudio`, `TdApi.PageBlockAuthorDate`, `TdApi.PageBlockBlockQuote`, `TdApi.PageBlockChatLink`, `TdApi.PageBlockCollage`, `TdApi.PageBlockCover`, `TdApi.PageBlockDetails`, `TdApi.PageBlockDivider`, `TdApi.PageBlockEmbedded`, `TdApi.PageBlockEmbeddedPost`, `TdApi.PageBlockFooter`, `TdApi.PageBlockHeader`, `TdApi.PageBlockKicker`, `TdApi.PageBlockList`, `TdApi.PageBlockMap`, `TdApi.PageBlockParagraph`, `TdApi.PageBlockPhoto`, `TdApi.PageBlockPreformatted`, `TdApi.PageBlockPullQuote`, `TdApi.PageBlockRelatedArticles`, `TdApi.PageBlockSlideshow`, `TdApi.PageBlockSubheader`, `TdApi.PageBlockSubtitle`, `TdApi.PageBlockTable`, `TdApi.PageBlockTitle`, `TdApi.PageBlockVideo`, `TdApi.PageBlockVoiceNote`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.PageBlock extends TdApi.Object permits TdApi.PageBlockTitle, TdApi.PageBlockSubtitle, TdApi.PageBlockAuthorDate, TdApi.PageBlockHeader, TdApi.PageBlockSubheader, TdApi.PageBlockKicker, TdApi.PageBlockParagraph, TdApi.PageBlockPreformatted, TdApi.PageBlockFooter, TdApi.PageBlockDivider, TdApi.PageBlockAnchor, TdApi.PageBlockList, TdApi.PageBlockBlockQuote, TdApi.PageBlockPullQuote, TdApi.PageBlockAnimation, TdApi.PageBlockAudio, TdApi.PageBlockPhoto, TdApi.PageBlockVideo, TdApi.PageBlockVoiceNote, TdApi.PageBlockCover, TdApi.PageBlockEmbedded, TdApi.PageBlockEmbeddedPost, TdApi.PageBlockCollage, TdApi.PageBlockSlideshow, TdApi.PageBlockChatLink, TdApi.PageBlockTable, TdApi.PageBlockDetails, TdApi.PageBlockRelatedArticles, TdApi.PageBlockMap
This class is an abstract base class. Describes a block of an instant view web page.

## Constructor Summary

Constructors
Constructor
Description
`PageBlock()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PageBlock

public PageBlock()
Default class constructor.